import request from '@/utils/request'

// 查询通知管理列表
export function listNotify(query) {
  return request({
    url: '/system/notify/list',
    method: 'get',
    params: query
  })
}
// 查询通知管理列表
export function listDeptNotify(query) {
  return request({
    url: '/system/notify/recvDeptList',
    method: 'get',
    params: query
  })
}
// 查询通知管理列表
export function listPerNotify(query) {
  return request({
    url: '/system/notify/recvPerList',
    method: 'get',
    params: query
  })
}

// 查询通知管理详细
export function getNotify(id) {
  return request({
    url: '/system/notify/' + id,
    method: 'get'
  })
}

// 新增通知管理
export function addNotify(data) {
  return request({
    url: '/system/notify',
    method: 'post',
    data: data
  })
}

// 修改通知管理
export function updateNotify(data) {
  return request({
    url: '/system/notify',
    method: 'put',
    data: data
  })
}

// 删除通知管理
export function delNotify(id) {
  return request({
    url: '/system/notify/' + id,
    method: 'delete'
  })
}

// 导出通知管理
export function exportNotify(query) {
  return request({
    url: '/system/notify/export',
    method: 'get',
    params: query
  })
}
